Line item taxes
Taxes applying on line items
The line item tax object
Attributes
iduuidUnique identifier
amountintegerAmount of the tax, in cents
labelMultiLanguageStringLocalized label of the tax
percentagerealPercentage of the tax
typeTaxTypeType of the tax
Related resources
Embed related resources in the response with the select parameter, for example select=*,line_items(*). Resources related through more than one column need the column as a hint, like table!column(*).
{
"id": "00000000-0000-0000-0000-000000000000",
"line_item_id": "00000000-0000-0000-0000-000000000000",
"tax_id": "00000000-0000-0000-0000-000000000000",
"amount": 0,
"label": {},
"percentage": 0,
"type": "on-top"
}curl -X GET "https://api.bookingmood.com/v1/line_item_taxes?limit=10&select=*,line_items(*),taxes(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List line item taxes
Filters
idFilter<uuid>Unique identifier
amountFilter<integer>Amount of the tax, in cents
labelFilter<MultiLanguageString>Localized label of the tax
percentageFilter<real>Percentage of the tax
typeFilter<TaxType>Type of the tax
Responses
200A list of line item taxes with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /line_item_taxescurl -X GET "https://api.bookingmood.com/v1/line_item_taxes?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"line_item_id": "00000000-0000-0000-0000-000000000000",
"tax_id": "00000000-0000-0000-0000-000000000000",
"amount": 0,
"label": {},
"percentage": 0,
"type": "on-top"
}
]Create line item taxes
Body
Partial<LineItemTax> | Array<Partial<LineItemTax>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created line item taxes with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /line_item_taxescurl -X POST "https://api.bookingmood.com/v1/line_item_taxes" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"amount": 0,
"label": {},
"line_item_id": "00000000-0000-0000-0000-000000000000",
"percentage": 0,
"type": "on-top"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"line_item_id": "00000000-0000-0000-0000-000000000000",
"tax_id": "00000000-0000-0000-0000-000000000000",
"amount": 0,
"label": {},
"percentage": 0,
"type": "on-top"
}
]Delete line item taxes
Filters
Without filters, this request deletes all line item taxes you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
amountFilter<integer>Amount of the tax, in cents
labelFilter<MultiLanguageString>Localized label of the tax
percentageFilter<real>Percentage of the tax
typeFilter<TaxType>Type of the tax
Responses
200The deleted line item taxes with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /line_item_taxescurl -X DELETE "https://api.bookingmood.com/v1/line_item_taxes?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"line_item_id": "00000000-0000-0000-0000-000000000000",
"tax_id": "00000000-0000-0000-0000-000000000000",
"amount": 0,
"label": {},
"percentage": 0,
"type": "on-top"
}
]Update line item taxes
Filters
Without filters, this request updates all line item taxes you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
amountFilter<integer>Amount of the tax, in cents
labelFilter<MultiLanguageString>Localized label of the tax
percentageFilter<real>Percentage of the tax
typeFilter<TaxType>Type of the tax
Body
Partial<LineItemTax>Read-only attributes are set by the database and can't be written.
Responses
200The updated line item taxes with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /line_item_taxescurl -X PATCH "https://api.bookingmood.com/v1/line_item_taxes?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"amount": 0
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"line_item_id": "00000000-0000-0000-0000-000000000000",
"tax_id": "00000000-0000-0000-0000-000000000000",
"amount": 0,
"label": {},
"percentage": 0,
"type": "on-top"
}
]